petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabSetFieldNames

Sets the number of fields and their names to be managed by the DM

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabSetFieldNames(DM dm,PetscInt numFields,const char* fields[])

Not Collective Many br

### Input Parameters

| dm | - the discretization manager object Many br
| numFields | - the total number of fields Many br
| fields | - the array containing the names of each field (component); Can be NULL. Many br

Many br

### Keywords

discretization manager, set, component name

### See Also

DMMoabGetFieldName(), DMMoabSetFieldName()

Level:intermediate
Location:src/dm/impls/moab/dmmbfield.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html